Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/116
Addresses4,096
/64 networksPart of one
Network
64:ff9b::fba:c000/116
First address
64:ff9b::fba:c000
Last address
64:ff9b::fba:cfff
Addresses
4,096
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
0064:ff9b:0000:0000:0000:0000:0fba:c000
Type
NAT64 64:ff9b::/96
IPv4 addresses reached through a NAT64 gateway
Reverse DNS zone
c.a.b.f.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.b.9.f.f.4.6.0.0.ip6.arpa
Split into smaller subnets/127

64:ff9b::fba:c000/116 makes 2,048 subnets of /127; the first 256 are listed.

Subnets
#SubnetLast address
164:ff9b::fba:c000/12764:ff9b::fba:c001
264:ff9b::fba:c002/12764:ff9b::fba:c003
364:ff9b::fba:c004/12764:ff9b::fba:c005
464:ff9b::fba:c006/12764:ff9b::fba:c007
564:ff9b::fba:c008/12764:ff9b::fba:c009
664:ff9b::fba:c00a/12764:ff9b::fba:c00b
764:ff9b::fba:c00c/12764:ff9b::fba:c00d
864:ff9b::fba:c00e/12764:ff9b::fba:c00f
964:ff9b::fba:c010/12764:ff9b::fba:c011
1064:ff9b::fba:c012/12764:ff9b::fba:c013
1164:ff9b::fba:c014/12764:ff9b::fba:c015
1264:ff9b::fba:c016/12764:ff9b::fba:c017
1364:ff9b::fba:c018/12764:ff9b::fba:c019
1464:ff9b::fba:c01a/12764:ff9b::fba:c01b
1564:ff9b::fba:c01c/12764:ff9b::fba:c01d
1664:ff9b::fba:c01e/12764:ff9b::fba:c01f
1764:ff9b::fba:c020/12764:ff9b::fba:c021
1864:ff9b::fba:c022/12764:ff9b::fba:c023
1964:ff9b::fba:c024/12764:ff9b::fba:c025
2064:ff9b::fba:c026/12764:ff9b::fba:c027
2164:ff9b::fba:c028/12764:ff9b::fba:c029
2264:ff9b::fba:c02a/12764:ff9b::fba:c02b
2364:ff9b::fba:c02c/12764:ff9b::fba:c02d
2464:ff9b::fba:c02e/12764:ff9b::fba:c02f
2564:ff9b::fba:c030/12764:ff9b::fba:c031
2664:ff9b::fba:c032/12764:ff9b::fba:c033
2764:ff9b::fba:c034/12764:ff9b::fba:c035
2864:ff9b::fba:c036/12764:ff9b::fba:c037
2964:ff9b::fba:c038/12764:ff9b::fba:c039
3064:ff9b::fba:c03a/12764:ff9b::fba:c03b
3164:ff9b::fba:c03c/12764:ff9b::fba:c03d
3264:ff9b::fba:c03e/12764:ff9b::fba:c03f
3364:ff9b::fba:c040/12764:ff9b::fba:c041
3464:ff9b::fba:c042/12764:ff9b::fba:c043
3564:ff9b::fba:c044/12764:ff9b::fba:c045
3664:ff9b::fba:c046/12764:ff9b::fba:c047
3764:ff9b::fba:c048/12764:ff9b::fba:c049
3864:ff9b::fba:c04a/12764:ff9b::fba:c04b
3964:ff9b::fba:c04c/12764:ff9b::fba:c04d
4064:ff9b::fba:c04e/12764:ff9b::fba:c04f
4164:ff9b::fba:c050/12764:ff9b::fba:c051
4264:ff9b::fba:c052/12764:ff9b::fba:c053
4364:ff9b::fba:c054/12764:ff9b::fba:c055
4464:ff9b::fba:c056/12764:ff9b::fba:c057
4564:ff9b::fba:c058/12764:ff9b::fba:c059
4664:ff9b::fba:c05a/12764:ff9b::fba:c05b
4764:ff9b::fba:c05c/12764:ff9b::fba:c05d
4864:ff9b::fba:c05e/12764:ff9b::fba:c05f
4964:ff9b::fba:c060/12764:ff9b::fba:c061
5064:ff9b::fba:c062/12764:ff9b::fba:c063
5164:ff9b::fba:c064/12764:ff9b::fba:c065
5264:ff9b::fba:c066/12764:ff9b::fba:c067
5364:ff9b::fba:c068/12764:ff9b::fba:c069
5464:ff9b::fba:c06a/12764:ff9b::fba:c06b
5564:ff9b::fba:c06c/12764:ff9b::fba:c06d
5664:ff9b::fba:c06e/12764:ff9b::fba:c06f
5764:ff9b::fba:c070/12764:ff9b::fba:c071
5864:ff9b::fba:c072/12764:ff9b::fba:c073
5964:ff9b::fba:c074/12764:ff9b::fba:c075
6064:ff9b::fba:c076/12764:ff9b::fba:c077
6164:ff9b::fba:c078/12764:ff9b::fba:c079
6264:ff9b::fba:c07a/12764:ff9b::fba:c07b
6364:ff9b::fba:c07c/12764:ff9b::fba:c07d
6464:ff9b::fba:c07e/12764:ff9b::fba:c07f
6564:ff9b::fba:c080/12764:ff9b::fba:c081
6664:ff9b::fba:c082/12764:ff9b::fba:c083
6764:ff9b::fba:c084/12764:ff9b::fba:c085
6864:ff9b::fba:c086/12764:ff9b::fba:c087
6964:ff9b::fba:c088/12764:ff9b::fba:c089
7064:ff9b::fba:c08a/12764:ff9b::fba:c08b
7164:ff9b::fba:c08c/12764:ff9b::fba:c08d
7264:ff9b::fba:c08e/12764:ff9b::fba:c08f
7364:ff9b::fba:c090/12764:ff9b::fba:c091
7464:ff9b::fba:c092/12764:ff9b::fba:c093
7564:ff9b::fba:c094/12764:ff9b::fba:c095
7664:ff9b::fba:c096/12764:ff9b::fba:c097
7764:ff9b::fba:c098/12764:ff9b::fba:c099
7864:ff9b::fba:c09a/12764:ff9b::fba:c09b
7964:ff9b::fba:c09c/12764:ff9b::fba:c09d
8064:ff9b::fba:c09e/12764:ff9b::fba:c09f
8164:ff9b::fba:c0a0/12764:ff9b::fba:c0a1
8264:ff9b::fba:c0a2/12764:ff9b::fba:c0a3
8364:ff9b::fba:c0a4/12764:ff9b::fba:c0a5
8464:ff9b::fba:c0a6/12764:ff9b::fba:c0a7
8564:ff9b::fba:c0a8/12764:ff9b::fba:c0a9
8664:ff9b::fba:c0aa/12764:ff9b::fba:c0ab
8764:ff9b::fba:c0ac/12764:ff9b::fba:c0ad
8864:ff9b::fba:c0ae/12764:ff9b::fba:c0af
8964:ff9b::fba:c0b0/12764:ff9b::fba:c0b1
9064:ff9b::fba:c0b2/12764:ff9b::fba:c0b3
9164:ff9b::fba:c0b4/12764:ff9b::fba:c0b5
9264:ff9b::fba:c0b6/12764:ff9b::fba:c0b7
9364:ff9b::fba:c0b8/12764:ff9b::fba:c0b9
9464:ff9b::fba:c0ba/12764:ff9b::fba:c0bb
9564:ff9b::fba:c0bc/12764:ff9b::fba:c0bd
9664:ff9b::fba:c0be/12764:ff9b::fba:c0bf
9764:ff9b::fba:c0c0/12764:ff9b::fba:c0c1
9864:ff9b::fba:c0c2/12764:ff9b::fba:c0c3
9964:ff9b::fba:c0c4/12764:ff9b::fba:c0c5
10064:ff9b::fba:c0c6/12764:ff9b::fba:c0c7
10164:ff9b::fba:c0c8/12764:ff9b::fba:c0c9
10264:ff9b::fba:c0ca/12764:ff9b::fba:c0cb
10364:ff9b::fba:c0cc/12764:ff9b::fba:c0cd
10464:ff9b::fba:c0ce/12764:ff9b::fba:c0cf
10564:ff9b::fba:c0d0/12764:ff9b::fba:c0d1
10664:ff9b::fba:c0d2/12764:ff9b::fba:c0d3
10764:ff9b::fba:c0d4/12764:ff9b::fba:c0d5
10864:ff9b::fba:c0d6/12764:ff9b::fba:c0d7
10964:ff9b::fba:c0d8/12764:ff9b::fba:c0d9
11064:ff9b::fba:c0da/12764:ff9b::fba:c0db
11164:ff9b::fba:c0dc/12764:ff9b::fba:c0dd
11264:ff9b::fba:c0de/12764:ff9b::fba:c0df
11364:ff9b::fba:c0e0/12764:ff9b::fba:c0e1
11464:ff9b::fba:c0e2/12764:ff9b::fba:c0e3
11564:ff9b::fba:c0e4/12764:ff9b::fba:c0e5
11664:ff9b::fba:c0e6/12764:ff9b::fba:c0e7
11764:ff9b::fba:c0e8/12764:ff9b::fba:c0e9
11864:ff9b::fba:c0ea/12764:ff9b::fba:c0eb
11964:ff9b::fba:c0ec/12764:ff9b::fba:c0ed
12064:ff9b::fba:c0ee/12764:ff9b::fba:c0ef
12164:ff9b::fba:c0f0/12764:ff9b::fba:c0f1
12264:ff9b::fba:c0f2/12764:ff9b::fba:c0f3
12364:ff9b::fba:c0f4/12764:ff9b::fba:c0f5
12464:ff9b::fba:c0f6/12764:ff9b::fba:c0f7
12564:ff9b::fba:c0f8/12764:ff9b::fba:c0f9
12664:ff9b::fba:c0fa/12764:ff9b::fba:c0fb
12764:ff9b::fba:c0fc/12764:ff9b::fba:c0fd
12864:ff9b::fba:c0fe/12764:ff9b::fba:c0ff
12964:ff9b::fba:c100/12764:ff9b::fba:c101
13064:ff9b::fba:c102/12764:ff9b::fba:c103
13164:ff9b::fba:c104/12764:ff9b::fba:c105
13264:ff9b::fba:c106/12764:ff9b::fba:c107
13364:ff9b::fba:c108/12764:ff9b::fba:c109
13464:ff9b::fba:c10a/12764:ff9b::fba:c10b
13564:ff9b::fba:c10c/12764:ff9b::fba:c10d
13664:ff9b::fba:c10e/12764:ff9b::fba:c10f
13764:ff9b::fba:c110/12764:ff9b::fba:c111
13864:ff9b::fba:c112/12764:ff9b::fba:c113
13964:ff9b::fba:c114/12764:ff9b::fba:c115
14064:ff9b::fba:c116/12764:ff9b::fba:c117
14164:ff9b::fba:c118/12764:ff9b::fba:c119
14264:ff9b::fba:c11a/12764:ff9b::fba:c11b
14364:ff9b::fba:c11c/12764:ff9b::fba:c11d
14464:ff9b::fba:c11e/12764:ff9b::fba:c11f
14564:ff9b::fba:c120/12764:ff9b::fba:c121
14664:ff9b::fba:c122/12764:ff9b::fba:c123
14764:ff9b::fba:c124/12764:ff9b::fba:c125
14864:ff9b::fba:c126/12764:ff9b::fba:c127
14964:ff9b::fba:c128/12764:ff9b::fba:c129
15064:ff9b::fba:c12a/12764:ff9b::fba:c12b
15164:ff9b::fba:c12c/12764:ff9b::fba:c12d
15264:ff9b::fba:c12e/12764:ff9b::fba:c12f
15364:ff9b::fba:c130/12764:ff9b::fba:c131
15464:ff9b::fba:c132/12764:ff9b::fba:c133
15564:ff9b::fba:c134/12764:ff9b::fba:c135
15664:ff9b::fba:c136/12764:ff9b::fba:c137
15764:ff9b::fba:c138/12764:ff9b::fba:c139
15864:ff9b::fba:c13a/12764:ff9b::fba:c13b
15964:ff9b::fba:c13c/12764:ff9b::fba:c13d
16064:ff9b::fba:c13e/12764:ff9b::fba:c13f
16164:ff9b::fba:c140/12764:ff9b::fba:c141
16264:ff9b::fba:c142/12764:ff9b::fba:c143
16364:ff9b::fba:c144/12764:ff9b::fba:c145
16464:ff9b::fba:c146/12764:ff9b::fba:c147
16564:ff9b::fba:c148/12764:ff9b::fba:c149
16664:ff9b::fba:c14a/12764:ff9b::fba:c14b
16764:ff9b::fba:c14c/12764:ff9b::fba:c14d
16864:ff9b::fba:c14e/12764:ff9b::fba:c14f
16964:ff9b::fba:c150/12764:ff9b::fba:c151
17064:ff9b::fba:c152/12764:ff9b::fba:c153
17164:ff9b::fba:c154/12764:ff9b::fba:c155
17264:ff9b::fba:c156/12764:ff9b::fba:c157
17364:ff9b::fba:c158/12764:ff9b::fba:c159
17464:ff9b::fba:c15a/12764:ff9b::fba:c15b
17564:ff9b::fba:c15c/12764:ff9b::fba:c15d
17664:ff9b::fba:c15e/12764:ff9b::fba:c15f
17764:ff9b::fba:c160/12764:ff9b::fba:c161
17864:ff9b::fba:c162/12764:ff9b::fba:c163
17964:ff9b::fba:c164/12764:ff9b::fba:c165
18064:ff9b::fba:c166/12764:ff9b::fba:c167
18164:ff9b::fba:c168/12764:ff9b::fba:c169
18264:ff9b::fba:c16a/12764:ff9b::fba:c16b
18364:ff9b::fba:c16c/12764:ff9b::fba:c16d
18464:ff9b::fba:c16e/12764:ff9b::fba:c16f
18564:ff9b::fba:c170/12764:ff9b::fba:c171
18664:ff9b::fba:c172/12764:ff9b::fba:c173
18764:ff9b::fba:c174/12764:ff9b::fba:c175
18864:ff9b::fba:c176/12764:ff9b::fba:c177
18964:ff9b::fba:c178/12764:ff9b::fba:c179
19064:ff9b::fba:c17a/12764:ff9b::fba:c17b
19164:ff9b::fba:c17c/12764:ff9b::fba:c17d
19264:ff9b::fba:c17e/12764:ff9b::fba:c17f
19364:ff9b::fba:c180/12764:ff9b::fba:c181
19464:ff9b::fba:c182/12764:ff9b::fba:c183
19564:ff9b::fba:c184/12764:ff9b::fba:c185
19664:ff9b::fba:c186/12764:ff9b::fba:c187
19764:ff9b::fba:c188/12764:ff9b::fba:c189
19864:ff9b::fba:c18a/12764:ff9b::fba:c18b
19964:ff9b::fba:c18c/12764:ff9b::fba:c18d
20064:ff9b::fba:c18e/12764:ff9b::fba:c18f
20164:ff9b::fba:c190/12764:ff9b::fba:c191
20264:ff9b::fba:c192/12764:ff9b::fba:c193
20364:ff9b::fba:c194/12764:ff9b::fba:c195
20464:ff9b::fba:c196/12764:ff9b::fba:c197
20564:ff9b::fba:c198/12764:ff9b::fba:c199
20664:ff9b::fba:c19a/12764:ff9b::fba:c19b
20764:ff9b::fba:c19c/12764:ff9b::fba:c19d
20864:ff9b::fba:c19e/12764:ff9b::fba:c19f
20964:ff9b::fba:c1a0/12764:ff9b::fba:c1a1
21064:ff9b::fba:c1a2/12764:ff9b::fba:c1a3
21164:ff9b::fba:c1a4/12764:ff9b::fba:c1a5
21264:ff9b::fba:c1a6/12764:ff9b::fba:c1a7
21364:ff9b::fba:c1a8/12764:ff9b::fba:c1a9
21464:ff9b::fba:c1aa/12764:ff9b::fba:c1ab
21564:ff9b::fba:c1ac/12764:ff9b::fba:c1ad
21664:ff9b::fba:c1ae/12764:ff9b::fba:c1af
21764:ff9b::fba:c1b0/12764:ff9b::fba:c1b1
21864:ff9b::fba:c1b2/12764:ff9b::fba:c1b3
21964:ff9b::fba:c1b4/12764:ff9b::fba:c1b5
22064:ff9b::fba:c1b6/12764:ff9b::fba:c1b7
22164:ff9b::fba:c1b8/12764:ff9b::fba:c1b9
22264:ff9b::fba:c1ba/12764:ff9b::fba:c1bb
22364:ff9b::fba:c1bc/12764:ff9b::fba:c1bd
22464:ff9b::fba:c1be/12764:ff9b::fba:c1bf
22564:ff9b::fba:c1c0/12764:ff9b::fba:c1c1
22664:ff9b::fba:c1c2/12764:ff9b::fba:c1c3
22764:ff9b::fba:c1c4/12764:ff9b::fba:c1c5
22864:ff9b::fba:c1c6/12764:ff9b::fba:c1c7
22964:ff9b::fba:c1c8/12764:ff9b::fba:c1c9
23064:ff9b::fba:c1ca/12764:ff9b::fba:c1cb
23164:ff9b::fba:c1cc/12764:ff9b::fba:c1cd
23264:ff9b::fba:c1ce/12764:ff9b::fba:c1cf
23364:ff9b::fba:c1d0/12764:ff9b::fba:c1d1
23464:ff9b::fba:c1d2/12764:ff9b::fba:c1d3
23564:ff9b::fba:c1d4/12764:ff9b::fba:c1d5
23664:ff9b::fba:c1d6/12764:ff9b::fba:c1d7
23764:ff9b::fba:c1d8/12764:ff9b::fba:c1d9
23864:ff9b::fba:c1da/12764:ff9b::fba:c1db
23964:ff9b::fba:c1dc/12764:ff9b::fba:c1dd
24064:ff9b::fba:c1de/12764:ff9b::fba:c1df
24164:ff9b::fba:c1e0/12764:ff9b::fba:c1e1
24264:ff9b::fba:c1e2/12764:ff9b::fba:c1e3
24364:ff9b::fba:c1e4/12764:ff9b::fba:c1e5
24464:ff9b::fba:c1e6/12764:ff9b::fba:c1e7
24564:ff9b::fba:c1e8/12764:ff9b::fba:c1e9
24664:ff9b::fba:c1ea/12764:ff9b::fba:c1eb
24764:ff9b::fba:c1ec/12764:ff9b::fba:c1ed
24864:ff9b::fba:c1ee/12764:ff9b::fba:c1ef
24964:ff9b::fba:c1f0/12764:ff9b::fba:c1f1
25064:ff9b::fba:c1f2/12764:ff9b::fba:c1f3
25164:ff9b::fba:c1f4/12764:ff9b::fba:c1f5
25264:ff9b::fba:c1f6/12764:ff9b::fba:c1f7
25364:ff9b::fba:c1f8/12764:ff9b::fba:c1f9
25464:ff9b::fba:c1fa/12764:ff9b::fba:c1fb
25564:ff9b::fba:c1fc/12764:ff9b::fba:c1fd
25664:ff9b::fba:c1fe/12764:ff9b::fba:c1ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses